{% extends 'store/base.html' %}
{% load static %}
{% block title %}Check Out{% endblock title %}
{% block main-content %}
<script src="https://js.stripe.com/v3/"></script>
<script src="https://js.stripe.com/v3/"></script>
<style>
  .StripeElement {
    box-sizing: border-box;

    height: 40px;

    padding: 10px 12px;

    border: 1px solid transparent;
    border-radius: 4px;
    background-color: white;

    box-shadow: 0 1px 3px 0 #e6ebf1;
    -webkit-transition: box-shadow 150ms ease;
    transition: box-shadow 150ms ease;
  }

  .StripeElement--focus {
    box-shadow: 0 1px 3px 0 #cfd7df;
  }

  .StripeElement--invalid {
    border-color: #fa755a;
  }

  .StripeElement--webkit-autofill {
    background-color: #fefde5 !important;
  }
  .form-row,
  .submit-btn,
  .card-element {
    width: 100%;
  }
  .form-row {
    padding: 2em;
  }
  #paypal-button-container {
    margin-top: 2em;
    width: 100%;
  }


</style>
<div class="container wow fadeIn">
    <h2 class="my-5 h2 text-center">Complete your order</h2>
    <div class="row">
        <div class="col-md-8 mb-4">
            <div class="card">
                <form method="POST" id="payment-form" class="payment-form">
                    {% csrf_token %}
                    <div class="form-row">
                        <label for="card-element">
                            Credit or debit card
                        </label>
                        <div id="card-element" class="card-element"></div>
                        <div id="card-errors" role="alert"></div>
                        <br>
                        <button class="btn btn-info submit-btn" type="submit">
                            Submit Payment
                        </button>

                        <div id="paypal-button-container"></div>
                    </div>
                </form>
            </div>
        </div>
<script>
var stripe = Stripe("pk_test_51LGJp5SEoCs74GLDbUL2KBCuuj7FtrkQqh7I98ZfKLiUmwwc7J4RUM1fH34sVYBFACrfRwZ6R8H8HC030CtqgnsM00EqKc03it");
var elements = stripe.elements();
var style = {
    base: {
      color: "#32325d",
      fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
      fontSmoothing: "antialiased",
      fontSize: "16px",
      "::placeholder": {
        color: "#aab7c4",
      },
    },
    invalid: {
      color: "#fa755a",
      iconColor: "#fa755a",
    },
    };

var card = elements.create("card", { style: style });
card.mount("#card-element");

card.on("change", function (event) {
    var displayError = document.getElementById("card-errors");
    if (event.error) {
      displayError.textContent = event.error.message;
    } else {
      displayError.textContent = "";
    }
});
var form = document.getElementById("payment-form");
form.addEventListener("submit", function (event) {
    event.preventDefault();

    stripe.createToken(card).then(function (result) {
      if (result.error) {
        console.log(result.error);
        var errorElement = document.getElementById("card-errors");
        errorElement.textContent = result.error.message;
      } else {
        stripeTokenHandler(result.token);
      }
    });
 });

function stripeTokenHandler(token) {
    var form = document.getElementById("payment-form");
    var hiddenInput = document.createElement("input");
    hiddenInput.setAttribute("type", "hidden");
    hiddenInput.setAttribute("name", "stripeToken");
    hiddenInput.setAttribute("value", token.id);
    form.appendChild(hiddenInput);
    form.submit();
}

</script>
{% endblock main-content %}
